For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETDownload HRX documents
      • GETRetrieve HRX documents
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsHrx Documents

Retrieve HRX documents

GET
/eor/contracts/:contract_id/hrx-documents
GET
/rest/v2/eor/contracts/:contract_id/hrx-documents
$curl -G https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents \
> -H "Authorization: Bearer <token>" \
> -d cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9 \
> -d limit=20
1{
2 "data": [
3 {
4 "id": "cb28e9a7-43cf-4f24-be6f-d72991cace2e",
5 "name": "Employment Agreement Contract",
6 "category": "Onboarding & Registration",
7 "created_at": "2025-09-16T11:54:06.763Z",
8 "updated_at": "2025-09-16T11:54:50.168Z",
9 "category_id": "eda410c0-6148-4c72-96fa-8d3b6895bf5d",
10 "category_type": "EMPLOYMENT_AGREEMENT",
11 "category_description": "Core legal contract establishing the terms and conditions of employment between the worker and the EOR"
12 },
13 {
14 "id": "eda410c0-6148-4c72-96fa-8d3b6895bf5d",
15 "name": "Visa Application Letter",
16 "category": "Tax & Fiscal",
17 "created_at": "2025-09-16T12:26:47.769Z",
18 "updated_at": "2025-09-16T12:30:01.320Z",
19 "category_id": "cb28e9a7-43cf-4f24-be6f-d72991cace2e",
20 "category_type": "EMPLOYMENT_AGREEMENT",
21 "category_description": "Employer-issued letters and certificates supporting visa applications, renewals, and travel abroad"
22 }
23 ],
24 "has_more": true,
25 "next_cursor": "eyJpZCI6ImVkYTQxMGMwLTYxNDgtNGM3Mi05NmZhLThkM2I2ODk1YmY1ZCJ9",
26 "total_count": 42
27}

Returns a paginated list of HRX documents shared with an employee under a specific EOR contract. Token scopes: worker:read, contracts:read

Was this page helpful?
Previous

Create IC invoicing tax

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Query parameters

cursorstringOptional
Cursor for pagination. Use the cursor from the previous response to get the next page of results.
limitintegerOptional1-100Defaults to 20
Number of items to return per page. Maximum is 100, default is 20.

Response

HRX documents successfully retrieved for EOR contract
datalist of objects
List of employee documents
has_moreboolean
Indicates if there are more pages available
next_cursorstring or null
Cursor to use for the next page. Null if there are no more pages.
total_countinteger
Total number of documents available across all pages

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/